#!/bin/sh
# Copyright (C) 2017-2021 sāf.ai, Inc. (https://saf.ai)
# All rights reserved.
#

PACKAGE_NAME="cefs"
PACKAGE_VERSION="1.0.8-rc1"

test -f /usr/lib/${PACKAGE_NAME}/${PACKAGE_VERSION}/settings && \
	. /usr/lib/${PACKAGE_NAME}/${PACKAGE_VERSION}/settings

main() {
    ulimit -v unlimited
    ulimit -c 512000
    ulimit -l unlimited
    ulimit -s unlimited
    unset LANG

	## Immunize against OOM kills and sendsigs signals
	if [ -f "/proc/$$/oom_score_adj" ]
	then
		echo -1000 > "/proc/$$/oom_score_adj"
	else
		echo -17 > "/proc/$$/oom_adj"
	fi
	exec ${CEFS_BIN} "$@"
}

main "$@"
